/*
 * Copyright (c) 2011-2014 BlackBerry Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import bb.cascades 1.2

NavigationPane {
    
    id: nav

    Menu.definition: MenuDefinition {
        
        
        helpAction: HelpActionItem {
            title: qsTr("Tips")
            onTriggered : {
                displayHelp();
            }
        
        }
        
        actions: [
            ActionItem {
                title: qsTr("X-Rays")
                imageSource: "images/XRays114.png"
                onTriggered: {
                    testImage.imageSource = "images/XRays1440.jpg"
                }
            },
            ActionItem {
                title: qsTr("Moon")
                imageSource: "images/Moon114.png"
                onTriggered: {
                    testImage.imageSource = "images/Moon1440.jpg"
                }
            },
            ActionItem {
                title: qsTr("Text")
                imageSource: "images/Text114.png"
                onTriggered: {
                    testImage.imageSource = "images/Text1440.jpg"
                }
            },
            ActionItem {
                title: qsTr("Diagram")
                imageSource: "images/VennDiagram114.png"
                onTriggered: {
                    testImage.imageSource = "images/VennDiagram1440.jpg"
                }
            }
        ] // end of actions list
    } // end of MenuDefinition  
    
    attachedObjects: [
        ComponentDefinition {
            id: helpPageDefinition
            source: "HelpPage/HelpPage.qml"
        }
    ] // attachedObjects
      
    Page {
        

        ScrollView {
            accessibility.name: "scrollImage"
            id: scrollImage
            scrollViewProperties.scrollMode: ScrollMode.Both
            scrollViewProperties.minContentScale: 1.0
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.overScrollEffectMode: OverScrollEffectMode.None
            implicitLayoutAnimationsEnabled: false
            ImageView {
                id: testImage
                imageSource: "images/XRays1440.jpg"
                scalingMethod: ScalingMethod.None
                loadEffect: ImageViewLoadEffect.FadeZoom
                minWidth: 1440.0
                minHeight: 1440.0
                preferredWidth: 1440.0
                preferredHeight: 1440.0
                maxWidth: 1440.0
                maxHeight: 1440.0
                accessibility.name: "testImage"
    
            }
            
        }
    
    }
    
    function displayHelp() {
        var page = helpPageDefinition.createObject();
        nav.push(page)
        Application.setMenuEnabled(false)
    }
    
    onPopTransitionEnded: Application.setMenuEnabled(true)
}